//
//  TodoEditorController.m
//  TekpubTodo
//
//  Created by Andrew Gaskell on 3/12/11.
//  Copyright 2011 Zubago Inc. All rights reserved.
//

#import "TodoEditorController.h"


@implementation TodoEditorController

@synthesize delegate, defaultText;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

-(IBAction)save {
    if (delegate != nil) {
        [delegate todoEditor:self didFinishWithResult:YES];
    }
}
-(IBAction)cancel {
    if (delegate != nil) {
        [delegate todoEditor:self didFinishWithResult:NO];
    }
}

-(NSString *)text {
    return textField.text;
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 1;
}

-(NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section {
    return @"Text";
}

-(NSString *)tableView:(UITableView *)tableView titleForFooterInSection:(NSInteger)section {
    return @"Please enter a nice description";
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@""] autorelease];
    
    
    CGRect frame = CGRectInset(cell.contentView.bounds, 25, 10);
    textField = [[UITextField alloc] initWithFrame:frame];
    textField.delegate = self;
    if (defaultText) {
        textField.text = defaultText;
    }
    [cell.contentView addSubview:textField];
    [textField release];
    
    return cell;
}

-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [tableView deselectRowAtIndexPath:indexPath animated:NO];
    
    [textField becomeFirstResponder];
}

-(BOOL)textFieldShouldReturn:(UITextField *)txtField {
    [txtField resignFirstResponder];
    return NO;
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
